"use strict";

var Helper = require('../helper');

require('../mocha-config.js');

var CommentDialog = require('../../../main/js/gui/CommentDialog');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('CommentDialog', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('contructor', function() {
    var map = helper.createCustomMap();

    var dialog = new CommentDialog({
      element : testDiv,
      customMap : map
    });
    assert.ok(testDiv.innerHTML);
    assert.equal(logger.getWarnings().length, 0);
    dialog.destroy();
  });

  it('getName', function() {
    var map = helper.createCustomMap();
    
    var dialog = new CommentDialog({
      element : testDiv,
      customMap : map
    });
    assert.ok(dialog.getName() !== undefined);
    dialog.destroy();
  });
});
