"use strict";

var Promise = require("bluebird");
var Cookies = require('js-cookie');

// GLOBAL configuration
global.navigator = {
  userAgent : 'node.js'
};

var jsdom = require('jsdom');
global.document = jsdom.jsdom(undefined);
global.window = document.defaultView;

global.$ = require('jQuery');
global.jQuery = $;
global.window.$ = $;

// additions to jsdom implementations:
global.Option = window.Option;
window.open = function() {
  var result = {};
  result.focus = function() {

  };
  return result;
};
// ---

require('jquery-ui-dist/jquery-ui.js');

require("bootstrap");

require('datatables.net')(window, $);

global.google = require('./google-map-mock');

global.GuiConnector = require('./GuiConnector-mock');
global.ServerConnector = require('./ServerConnector-mock');

// -----------------------------

var logger = require('./logger');

function removeCookies() {
  var cookies = Cookies.get();
  for ( var cookie in cookies) {
    Cookies.remove(cookie);
  }
}

function mockBootstrap() {
  $.fn.typeahead = function() {
    logger.debug("Mock typeahead function call");
  };
}

before(function() {
  Promise.longStackTraces();

  mockBootstrap();
});

beforeEach(function() {

  logger.flushBuffer();

  removeCookies();

  ServerConnector.init();

  ServerConnector.getSessionData(null).setToken("MOCK_TOKEN_ID");

  GuiConnector.init();

  global.testDiv = document.createElement("div");
  global.testDiv.id = "test";
  document.body.appendChild(testDiv);

});

afterEach(function() {
  document.body.removeChild(global.testDiv);
  delete global.testDiv;
});
